scala.tools.nsc.typechecker.RefChecks

# RefCheckTransformer

#### class RefCheckTransformer extends Global.Transformer

Linear Supertypes
Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RefCheckTransformer
2. Transformer
3. Transformer
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RefCheckTransformer(unit: Global.CompilationUnit)

### Type Members

1. #### class LevelInfo extends AnyRef

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (RefCheckTransformer, B)

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to ArrowAssoc[RefCheckTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def addVarargBridges(clazz: Global.Symbol): List[Global.Tree]

   Add bridges for vararg methods that extend Java vararg methods

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

    Definition Classes
      Transformer

11. #### def checkImplicitViewOptionApply(pos: Global.Position, fn: Global.Tree, args: List[Global.Tree]): Unit

12. #### def checkInfiniteLoop(valOrDef: Global.ValOrDefDef): Unit

13. #### def checkSensible(pos: Global.Position, fn: Global.Tree, args: List[Global.Tree]): Unit

14. #### var checkedCombinations: Set[collection.immutable.List[Global.Type]]

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### var currentApplication: Global.Tree

17. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

18. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

19. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

20. #### def ensuring(cond: (RefCheckTransformer) ⇒ Boolean, msg: ⇒ Any): RefCheckTransformer

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to Ensuring[RefCheckTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: (RefCheckTransformer) ⇒ Boolean): RefCheckTransformer

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to Ensuring[RefCheckTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): RefCheckTransformer

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to Ensuring[RefCheckTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): RefCheckTransformer

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to Ensuring[RefCheckTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### var inPattern: Boolean

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### var localTyper: (analyzer)#Typer

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### object normalizeAll extends Global.TypeMap

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### final def savingInPattern[A](body: ⇒ A): A

    Annotations
      @inline()

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toConstructor(pos: Global.Position, tpe: Global.Type): Global.Tree

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      RefCheckTransformer → Transformer

42. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

43. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

44. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

45. #### def transformStat(tree: Global.Tree, index: Int): List[Global.Tree]

46. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      RefCheckTransformer → Transformer

47. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

48. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

49. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

50. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

51. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

52. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

53. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

54. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

55. #### val varianceValidator: Global.Traverser

56. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### def →[B](y: B): (RefCheckTransformer, B)

    Implicit information
      This member is added by an implicit conversion from RefCheckTransformer to ArrowAssoc[RefCheckTransformer] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (refCheckTransformer: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (refCheckTransformer: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: RefCheckTransformer

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to ArrowAssoc[RefCheckTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (refCheckTransformer: ArrowAssoc[RefCheckTransformer]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: RefCheckTransformer

   Implicit information
     This member is added by an implicit conversion from RefCheckTransformer to Ensuring[RefCheckTransformer] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (refCheckTransformer: Ensuring[RefCheckTransformer]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from RefCheckTransformer to StringAdd

### Inherited by implicit conversion any2stringfmt from RefCheckTransformer to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from RefCheckTransformer to ArrowAssoc[RefCheckTransformer]

### Inherited by implicit conversion any2Ensuring from RefCheckTransformer to Ensuring[RefCheckTransformer]

### Ungrouped